Last Comment Bug 674224 - "ASSERTION: Remote window should be null"
: "ASSERTION: Remote window should be null"
Status: RESOLVED FIXED
: assertion, regression, testcase
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal with 1 vote (vote)
: ---
Assigned To: Josh Aas
:
Mentors:
Depends on:
Blocks: 343943 90268
  Show dependency treegraph
 
Reported: 2011-07-26 07:42 PDT by Jesse Ruderman
Modified: 2013-01-14 00:37 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (186 bytes, image/svg+xml)
2011-07-26 07:42 PDT, Jesse Ruderman
no flags Details
stack trace (3.49 KB, text/plain)
2011-07-26 07:43 PDT, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2011-07-26 07:42:19 PDT
Created attachment 548452 [details]
testcase

1. Apply the patch in bug 90268.
2. Make a 32-bit debug build (so Flash will work).
3. Load the testcase.
4. Quit the browser.

Result:

###!!! ASSERTION: Remote window should be null.: '!aWindow.window', file dom/plugins/ipc/PluginInstanceChild.cpp, line 2328
Comment 1 Jesse Ruderman 2011-07-26 07:43:30 PDT
Created attachment 548453 [details]
stack trace
Comment 2 Josh Aas 2011-09-06 08:57:08 PDT
This should be fixed in the latest version of the patch on bug 90268. Jesse - can you confirm?
Comment 3 Jesse Ruderman 2013-01-14 00:37:33 PST
I don't have Flash installed now.

Note You need to log in before you can comment on or make changes to this bug.